android: Make sure libtpmtss is loaded on older systems
authorTobias Brunner <tobias@strongswan.org>
Fri, 9 Dec 2016 10:16:42 +0000 (11:16 +0100)
committerTobias Brunner <tobias@strongswan.org>
Fri, 9 Dec 2016 10:16:42 +0000 (11:16 +0100)
commit9920824e70009bb1cfac012b600ffcf7671a3b5b
tree90138efc2e2196ae18ea2ec01cc0057150e59058
parent708f9c7f6557e07fb78c014ec6ca4ec34de05926
android: Make sure libtpmtss is loaded on older systems

On newer Android systems this seems to happen automatically (or does at
least not cause crashes if the library is not loaded).
src/frontends/android/app/src/main/java/org/strongswan/android/logic/CharonVpnService.java
src/frontends/android/app/src/main/jni/libandroidbridge/Android.mk
src/frontends/android/app/src/main/jni/libandroidbridge/android_jni.c